Bug 70191 - Can't disable `Format partition' of existing RAID partition
Can't disable `Format partition' of existing RAID partition
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-kickstart (Show other bugs)
limbo
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-30 19:24 EDT by Alexandre Oliva
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-14 12:48:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2002-07-30 19:24:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1b) Gecko/20020722

Description of problem:
When I choose `File System Type' `software RAID' in the `Partition Options'
window that opens after an `Add' partition, the `Format partition' option cannot
be modified any longer.  It's status is unchanged (regardless of whether it was
previously selected or not).  It's not clear whether the check will affect the
end result, though.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Choose `Partition Information'
2.Click on `Add'
3.Change `File System Type' to `software RAID'
4.Try to uncheck `Format partition'
5.Change `FST' back to `ext3'
6.Uncheck `Format'
7.Change `FST' back to `software RAID'
8.Try to check `Format'
	

Actual Results:  4 and 8 fail, but neither 3 nor 7 modify the check status.

Expected Results:  Either it should be possible to check/uncheck Format of a
software raid device, or the check should be forced into a certain state.

Additional info:
Comment 1 Brent Fox 2002-08-14 12:48:34 EDT
Should be fixed in 2.3.2-13.

QA, please verify.  There are still some bugs associated with editing RAID
devices, but those have already been filed.  Just verify that you can create
raid partitions and devices without having to format them.
Comment 2 Jay Turner 2002-08-14 15:45:47 EDT
Fix confirmed with redhat-config-kickstart-2.3.2-14.

Note You need to log in before you can comment on or make changes to this bug.